ext/plain; charset=UTF-8
Content-Disposition: inline; filename="8cf025f18d85c079a8e95140cdc5abc8b6fc9c04..6f09752db4561cb1995990d80ca658c654360834.patch"
Last-Modified: Sun, 19 Jan 2025 21:51:42 GMT
Expires: Wed, 17 Jan 2035 21:51:42 GMT

pository; edit this file 'description' to name the repository.</title>
<meta name='generator' content='cgit 1.4.1'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/git-repos/cgit.css'/>
<link rel='alternate' title='Atom feed' href='http://soniex2.autistic.space/git-repos/torxchat.git/atom/.github/workflows/ubuntu-build.yml?h=fe-web' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/git-repos/'><img src='/git-repos/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/git-repos/'>index</a> : <a href='/git-repos/torxchat.git/'>torxchat.git</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='5f137d2c81878c41aa3b893fb56b1116bc27bc78'/><select name='h' onchange='this.form.submit();'>
<option value='50f488236f6108bf748948c620aaf38814334a8a'>this commit</option>
<optgroup label='branches'><option value='branch-info'>branch-info</option>
<option value='default'>default</option>
<option value='fe-web' selected='selected'>fe-web</option>
<option value='feature/flexible-cert'>feature/flexible-cert</option>
<option value='feature/fork-branding'>feature/fork-branding</option>
<option value='feature/tls-srp'>feature/tls-srp</option>
<option value='feature/tor-i2p-dcc'>feature/tor-i2p-dcc</option>
<option value='fix-ub'>fix-ub</option>
</optgroup></select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Unnamed repository; edit this file 'description' to name the repository.</td><td class='sub right'>blog</td></tr></table>
<table class='tabs'><tr><td>
<a href='/git-repos/torxchat.git/?h=fe-web'>summary</a> <a href='/git-repos/torxchat.git/refs/?h=fe-web&amp;id=5f137d2c81878c41aa3b893fb56b1116bc27bc78'>refs</a> <a href='/git-repos/torxchat.git/log/.github/workflows/ubuntu-build.yml?h=fe-web'>log</a> <a class='active' href='/git-repos/torxchat.git/blame/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=5f137d2c81878c41aa3b893fb56b1116bc27bc78'>blame</a> <a href='/git-repos/torxchat.git/commit/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=5f137d2c81878c41aa3b893fb56b1116bc27bc78'>commit</a> <a href='/git-repos/torxchat.git/diff/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=5f137d2c81878c41aa3b893fb56b1116bc27bc78'>diff</a> <a href='/git-repos/torxchat.git/stats/.github/workflows/ubuntu-build.yml?h=fe-web'>stats</a></td><td class='form'><form class='right' method='get' action='/git-repos/torxchat.git/log/.github/workflows/ubuntu-build.yml'>
<input type='hidden' name='h' value='fe-web'/><input type='hidden' name='id' value='5f137d2c81878c41aa3b893fb56b1116bc27bc78'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/git-repos/torxchat.git/blame/?h=fe-web&amp;id=5f137d2c81878c41aa3b893fb56b1116bc27bc78'>root</a>/<a href='/git-repos/torxchat.git/blame/.github?h=fe-web&amp;id=5f137d2c81878c41aa3b893fb56b1116bc27bc78'>.github</a>/<a href='/git-repos/torxchat.git/blame/.github/workflows?h=fe-web&amp;id=5f137d2c81878c41aa3b893fb56b1116bc27bc78'>workflows</a>/<a href='/git-repos/torxchat.git/blame/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=5f137d2c81878c41aa3b893fb56b1116bc27bc78'>ubuntu-build.yml</a></div><div class='content'>blob: 0e8deb345257a2f9a0c71ea01eb23386e26890a4 (<a href='/git-repos/torxchat.git/plain/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=5f137d2c81878c41aa3b893fb56b1116bc27bc78'>plain</a>) (<a href='/git-repos/torxchat.git/tree/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=5f137d2c81878c41aa3b893fb56b1116bc27bc78'>tree</a>)
<table class='blame blob'>
<tr>
<td class='hashes'><div class='alt'><pre><span class='oid'><a title='author  Patrick Griffis &lt;tingping@tingping.se&gt;  2019-09-20 09:35:27 -0700
committer  Patrick Griffis &lt;tingping@tingping.se&gt;  2019-09-20 09:53:13 -0700

Switch to Github Actions for Linux CI' href='/git-repos/torxchat.git/commit/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=308838da32de4b2a91788666fab85eab1545ae09'>308838da</a></span> <a title='Blame the previous revision' href='/git-repos/torxchat.git/blame/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=92014628d1cc06334a9ca8c91a7184d50f5ab9a0'>^</a>


</pre></div><div class='alt'><pre><span class='oid'><a title='author  John Villalovos &lt;john@sodarock.com&gt;  2021-12-01 11:07:34 -0800
committer  GitHub &lt;noreply@github.com&gt;  2021-12-01 13:07:34 -0600

Make build job names more descriptive (#2657)' href='/git-repos/torxchat.git/commit/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=3ebb2c5eec5dfa29b9b3e70ff51e50256bb1ef2f'>3ebb2c5e</a></span> <a title='Blame the previous revision' href='/git-repos/torxchat.git/blame/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=bbd60a96ecd0e190625c68bedca4e46928ee2b4d'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Patrick Griffis &lt;pgriffis@igalia.com&gt;  2021-07-13 11:32:04 -0500
committer  Patrick Griffis &lt;pgriffis@igalia.com&gt;  2021-07-13 11:33:00 -0500

actions: Build on Ubuntu 20.04' href='/git-repos/torxchat.git/commit/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=482efae89ae6028e93a0934b64e618e855668f42'>482efae8</a></span> <a title='Blame the previous revision' href='/git-repos/torxchat.git/blame/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=cbb0927a7a9113d3b6b772e7b0566752dd54e6dd'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Patrick Griffis &lt;tingping@tingping.se&gt;  2019-09-20 09:35:27 -0700
committer  Patrick Griffis &lt;tingping@tingping.se&gt;  2019-09-20 09:53:13 -0700

Switch to Github Actions for Linux CI' href='/git-repos/torxchat.git/commit/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=308838da32de4b2a91788666fab85eab1545ae09'>308838da</a></span> <a title='Blame the previous revision' href='/git-repos/torxchat.git/blame/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=92014628d1cc06334a9ca8c91a7184d50f5ab9a0'>^</a>

</pre></div><div class='alt'><pre><span class='oid'><a title='author  DjLegolas &lt;DjLegolas@protonmail.com&gt;  2020-04-13 17:14:42 +0300
committer  Patrick Griffis &lt;pgriffis@igalia.com&gt;  2021-05-23 19:43:24 -0500

Update github workflows' href='/git-repos/torxchat.git/commit/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=04acbdc221a75f94d38ec4f80a3f826117443466'>04acbdc2</a></span> <a title='Blame the previous revision' href='/git-repos/torxchat.git/blame/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=e2ec2c9ab71a0678591f78c8657eb8eb1fe1ae10'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Patrick Griffis &lt;tingping@tingping.se&gt;  2019-09-20 09:35:27 -0700
committer  Patrick Griffis &lt;tingping@tingping.se&gt;  2019-09-20 09:53:13 -0700

Switch to Github Actions for Linux CI' href='/git-repos/torxchat.git/commit/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=308838da32de4b2a91788666fab85eab1545ae09'>308838da</a></span> <a title='Blame the previous revision' href='/git-repos/torxchat.git/blame/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=92014628d1cc06334a9ca8c91a7184d50f5ab9a0'>^</a>



</pre></div><div class='alt'><pre><span class='oid'><a title='author  Patrick &lt;tingping@tingping.se&gt;  2021-10-07 14:05:47 -0500
committer  GitHub &lt;noreply@github.com&gt;  2021-10-07 14:05:47 -0500

ci: Don&#x27;t install libproxy-dev' href='/git-repos/torxchat.git/commit/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=aabe3438fa2b1d712217cfcda62e147903415f37'>aabe3438</a></span> <a title='Blame the previous revision' href='/git-repos/torxchat.git/blame/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=6fd8a8f9bf48562fbbc42f908321b67d436c097e'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Patrick Griffis &lt;tingping@tingping.se&gt;  2019-09-20 09:35:27 -0700
committer  Patrick Griffis &lt;tingping@tingping.se&gt;  2019-09-20 09:53:13 -0700

Switch to Github Actions for Linux CI' href='/git-repos/torxchat.git/commit/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=308838da32de4b2a91788666fab85eab1545ae09'>308838da</a></span> <a title='Blame the previous revision' href='/git-repos/torxchat.git/blame/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=92014628d1cc06334a9ca8c91a7184d50f5ab9a0'>^</a>

</pre></div><div class='alt'><pre><span class='oid'><a title='author  Patrick Griffis &lt;pgriffis@igalia.com&gt;  2021-07-13 11:12:22 -0500
committer  Patrick Griffis &lt;pgriffis@igalia.com&gt;  2021-07-13 11:26:59 -0500

build: Misc cleanup of options' href='/git-repos/torxchat.git/commit/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=cbb0927a7a9113d3b6b772e7b0566752dd54e6dd'>cbb0927a</a></span> <a title='Blame the previous revision' href='/git-repos/torxchat.git/blame/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=25440a07c3b421134b4376d7db3ee4b7ed57ad98'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Patrick Griffis &lt;tingping@tingping.se&gt;  2019-09-20 09:35:27 -0700
committer  Patrick Griffis &lt;tingping@tingping.se&gt;  2019-09-20 09:53:13 -0700

Switch to Github Actions for Linux CI' href='/git-repos/torxchat.git/commit/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=308838da32de4b2a91788666fab85eab1545ae09'>308838da</a></span> <a title='Blame the previous revision' href='/git-repos/torxchat.git/blame/.github/workflows/ubuntu-build.yml?h=fe-web&amp;id=92014628d1cc06334a9ca8c91a7184d50f5ab9a0'>^</a>








</pre></div></td>
<td class='linenumbers'><div class='alt'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
</pre></div><div class='alt'><pre><a id='n4' href='#n4'>4</a>
</pre></div><div class='alt'><pre><a id='n5' href='#n5'>5</a>
</pre></div><div class='alt'><pre><a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
</pre></div><div class='alt'><pre><a id='n8' href='#n8'>8</a>
</pre></div><div class='alt'><pre><a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
</pre></div><div class='alt'><pre><a id='n13' href='#n13'>13</a>
</pre></div><div class='alt'><pre><a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
</pre></div><div class='alt'><pre><a id='n16' href='#n16'>16</a>
</pre></div><div class='alt'><pre><a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
</pre></div></td>
<td class='lines'><div><div><div class='alt'><pre>


                        </pre></div><div class='alt'><pre>
               </pre></div><div class='alt'><pre>
                         </pre></div><div class='alt'><pre>

          </pre></div><div class='alt'><pre>
                                 </pre></div><div class='alt'><pre>



                                  </pre></div><div class='alt'><pre>
                                                                                                                                                                                                                  </pre></div><div class='alt'><pre>

                       </pre></div><div class='alt'><pre>
                                                                                 </pre></div><div class='alt'><pre>








                                        </pre></div></div><pre><code><style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .ges { font-weight: bold; font-style: italic } /* Generic.EmphStrong */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="nt">name</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">Ubuntu Build</span>
<span class="nt">on</span><span class="p">:</span><span class="w"> </span><span class="p p-Indicator">[</span><span class="nv">push</span><span class="p p-Indicator">,</span><span class="w"> </span><span class="nv">pull_request</span><span class="p p-Indicator">]</span>
<span class="nt">jobs</span><span class="p">:</span>
<span class="w">  </span><span class="nt">ubuntu_build</span><span class="p">:</span>
<span class="w">    </span><span class="nt">runs-on</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">ubuntu-20.04</span>

<span class="w">    </span><span class="nt">steps</span><span class="p">:</span>
<span class="w">      </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">uses</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">actions/checkout@v2</span>

<span class="w">      </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">name</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">Install Dependencies</span>
<span class="w">        </span><span class="nt">run</span><span class="p">:</span><span class="w"> </span><span class="p p-Indicator">|</span>
<span class="w">          </span><span class="no">sudo apt-get update</span>
<span class="w">          </span><span class="no">sudo apt-get install -y meson libcanberra-dev libdbus-glib-1-dev libglib2.0-dev libgtk2.0-dev libluajit-5.1-dev libpci-dev libperl-dev libssl-dev python3-dev python3-cffi mono-devel desktop-file-utils</span>

<span class="w">      </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">name</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">Configure</span>
<span class="w">        </span><span class="nt">run</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">meson build -Dtext=true -Dtheme-manager=true -Dauto_features=enabled</span>

<span class="w">      </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">name</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">Build</span>
<span class="w">        </span><span class="nt">run</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">ninja -C build</span>

<span class="w">      </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">name</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">Test</span>
<span class="w">        </span><span class="nt">run</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">ninja -C build test</span>

<span class="w">      </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">name</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">Install</span>
<span class="w">        </span><span class="nt">run</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">sudo ninja -C build install</span>
</pre></div>
</code></pre></div></td>
</tr>
</table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1</a> (<a href='https://git-scm.com/'>git 2.36.1</a>) at 2025-01-19 21:51:42 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
